#!/usr/bin/env node
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { generateAllAction } from './command-actions';
import { getMd } from './wirte-md';
import stringToArgs from '../../script/cli';
import handle from '../../script/cli/handle';
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        const options = stringToArgs(process.argv);
        const { ignores: ignore, includes: include } = handle(options);
        const { md, nodes } = yield getMd({ ignore, include });
        yield generateAllAction(nodes, md);
    });
}
main();
//# sourceMappingURL=agmd.js.map