"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const arg_1 = __importDefault(require("arg"));
const stringToArgs = (rawArgs) => {
    const args = (0, arg_1.default)({
        '--ignore': String,
        '--include': String,
        '--version': Boolean,
        '--help': Boolean,
        '-h': '--help',
        '-i': '--ignore',
        '-in': '--include',
        '-v': '--version'
    }, {
        argv: rawArgs.slice(2)
    });
    return {
        help: args['--help'],
        ignore: args['--ignore'],
        include: args['--include'],
        version: args['--version']
    };
};
exports.default = stringToArgs;
//# sourceMappingURL=index.js.map